aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-agl-bitbake-image-nofail.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2020-05-02 16:42:50 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2020-05-02 16:43:23 +0200
commit077eb0fd86fb8203ef997ec5616c23f670c1eab6 (patch)
tree9cad8f3597800d1ea7010ef778716eedf74cb186 /jjb/common/include-agl-bitbake-image-nofail.sh
parentc81da88b251dfee7eec7c754aec2f9078544f2ec (diff)
Do not fail the jenkins pipeline for compositor and html5
These builds are unstable atm. Do not fail the pipeline. Change-Id: I0b046a4e7d17649708141950b437baa626b8ff6a Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'jjb/common/include-agl-bitbake-image-nofail.sh')
-rw-r--r--jjb/common/include-agl-bitbake-image-nofail.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/jjb/common/include-agl-bitbake-image-nofail.sh b/jjb/common/include-agl-bitbake-image-nofail.sh
new file mode 100644
index 00000000..8f6320c2
--- /dev/null
+++ b/jjb/common/include-agl-bitbake-image-nofail.sh
@@ -0,0 +1,16 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the image
+################################################################################
+
+#if ! test x"${GERRIT_BRANCH}" = x"dab" ; then
+#bitbake wic-tools
+#fi
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+( ( bitbake $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake -v -v $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ...' ; exit 0 )
+
+
+du -hs tmp/deploy/*